io.vertx.rxjava3.ext.auth.oauth2.providers

## Class TwitterAuth

- java.lang.Object
- - io.vertx.rxjava3.ext.auth.oauth2.providers.TwitterAuth

-     public class TwitterAuth
      extends Object

  Simplified factory to create an for Twitter.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<TwitterAuth>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TwitterAuth(Object delegate)`
    `TwitterAuth(TwitterAuth delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OAuth2Auth` | `create(Vertx vertx, String clientId, String clientSecret)` Create a OAuth2Auth provider for Twitter
    `static OAuth2Auth` | `create(Vertx vertx, String clientId, String clientSecret, HttpClientOptions httpClientOptions)` Create a OAuth2Auth provider for Twitter
    `boolean` | `equals(Object o)`
    `TwitterAuth` | `getDelegate()`
    `int` | `hashCode()`
    `static TwitterAuth` | `newInstance(TwitterAuth arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<TwitterAuth> __TYPE_ARG

  - ### Constructor Detail

    - #### TwitterAuth

          public TwitterAuth(TwitterAuth delegate)

    - #### TwitterAuth

          public TwitterAuth(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public TwitterAuth getDelegate()

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          String clientId,
                                          String clientSecret)

      Create a OAuth2Auth provider for Twitter
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by Twitter
        `clientSecret` - the client secret given to you by Twitter
      Returns:

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          String clientId,
                                          String clientSecret,
                                          HttpClientOptions httpClientOptions)

      Create a OAuth2Auth provider for Twitter
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by Twitter
        `clientSecret` - the client secret given to you by Twitter
        `httpClientOptions` - custom http client options
      Returns:

    - #### newInstance

          public static TwitterAuth newInstance(TwitterAuth arg)

Copyright © 2024 Eclipse. All rights reserved.